Name:           rpmdevtools
Version:        8.10
Release:        %mkrel 1
Summary:        RPM Development Tools
Group:          Development/Other
# rpmdev-setuptree is GPLv2, everything else GPLv2+
License:        GPLv2+ and GPLv2
URL:            https://pagure.io/rpmdevtools
Source0:        https://releases.pagure.org/rpmdevtools/%{name}-%{version}.tar.xz
Patch0:         rpmdevtools-8.3-mga-enhanced-get.patch

BuildArch:      noarch
# help2man, pod2man, python for creating man pages
BuildRequires:  bash-completion
BuildRequires:  help2man
BuildRequires:  python
BuildRequires:  python-rpm
Requires:       curl
Requires:       diffutils
Requires:       fakeroot
Requires:       file
Requires:       gawk
Requires:       python
Requires:       python-rpm
Requires:       rpm-build

%description
This package contains scripts and (X)Emacs support files to aid in
development of RPM packages.
rpmdev-setuptree    Create RPM build tree within user's home directory
rpmdev-diff         Diff contents of two archives
rpmdev-newspec      Creates new .spec from template
rpmdev-rmdevelrpms  Find (and optionally remove) "development" RPMs
rpmdev-checksig     Check package signatures using alternate RPM keyring
rpminfo             Print information about executables and libraries
rpmdev-md5/sha*     Display checksums of all files in an archive file
rpmdev-vercmp       RPM version comparison checker
spectool            Expand and download sources and patches in specfiles
rpmdev-wipetree     Erase all files within dirs created by rpmdev-setuptree
rpmdev-extract      Extract various archives, "tar xvf" style
rpmdev-bumpspec     Bump revision in specfile
...and many more.


%prep
%autosetup -p1

%build
%configure --libdir=%{_prefix}/lib
%make_build

%install
%make_install

%files
%doc NEWS
%license COPYING
%config(noreplace) %{_sysconfdir}/%{name}/
%{_datadir}/%{name}/
%{_datadir}/bash-completion/completions/{rpm*,spectool}
%{_bindir}/{rpm*,spectool}
%{_mandir}/man1/{rpm*,spectool}.1*
%{_mandir}/man8/rpmdev-rmdevelrpms.8*


%changelog
* Sun Jan 29 2017 akien <akien> 8.10-1.mga6
+ Revision: 1084127
- Version 8.10

* Sat Dec 31 2016 wally <wally> 8.6-4.mga6
+ Revision: 1078827
- drop unneeded requires for man

* Fri Feb 19 2016 umeabot <umeabot> 8.6-3.mga6
+ Revision: 968929
- Mageia 6 Mass Rebuild

* Mon Jul 27 2015 cjw <cjw> 8.6-2.mga6
+ Revision: 858214
- do not require bash-completion which must be optional since it breaks bash file completion

* Tue Jul 14 2015 joequant <joequant> 8.6-1.mga6
+ Revision: 854006
- upgrade to 8.6

* Wed Oct 15 2014 umeabot <umeabot> 8.3-9.mga5
+ Revision: 739036
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 8.3-8.mga5
+ Revision: 688708
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 8.3-7.mga4
+ Revision: 535154
- Mageia 4 Mass Rebuild

* Thu Sep 19 2013 joequant <joequant> 8.3-6.mga4
+ Revision: 481361
- update enhancement patches

* Fri Aug 30 2013 joequant <joequant> 8.3-5.mga4
+ Revision: 473542
- fix specget

* Fri Aug 23 2013 joequant <joequant> 8.3-4.mga4
+ Revision: 470298
- add .xz and .tar.xz suffixes

* Mon Aug 12 2013 joequant <joequant> 8.3-3.mga4
+ Revision: 465616
- check in enhanced get

* Mon Jan 14 2013 umeabot <umeabot> 8.3-2.mga3
+ Revision: 380460
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 16 2012 luigiwalser <luigiwalser> 8.3-1.mga3
+ Revision: 307274
- 8.3 (fixes CVE-2012-3500)

* Sat Mar 03 2012 luigiwalser <luigiwalser> 8.2-1.mga2
+ Revision: 217482
- 8.2

  + tv <tv>
    - new release

* Thu Jul 21 2011 misc <misc> 8.0-3.mga2
+ Revision: 127614
- remove old directve about emacs
  remove unused provides about spectool
- clean the spec, remove BuildRoot, clean Requires
- rpm-python is replaced by python-rpm

* Fri Feb 18 2011 dmorgan <dmorgan> 8.0-2.mga1
+ Revision: 53502
- Adapt for mageia
  Do not package emacs files for the moment, we need xemacs and maybe merge some macros from fedora
- imported package rpmdevtools

